SolrQuery::getMltQueryFields
SolrQuery::getRows
SolrQuery
PHP Manual

# SolrQuery::getQuery

(PECL solr >= 0.9.2)

SolrQuery::getQuery — Returns the main query

### Description

public string SolrQuery::getQuery ( void )

Returns the main search query

### Parameters

This function has no parameters.

### Return Values

Returns a string on success and `NULL` if not set.

SolrQuery::getMltQueryFields
SolrQuery::getRows
SolrQuery
PHP Manual